aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSlack Coder <slackcoder@server.ky>2021-09-17 08:06:51 -0500
committerSlack Coder <slackcoder@server.ky>2021-09-17 08:07:17 -0500
commit5017ac8bd80e8bac9bf37d87a0d6c66a17c17f0e (patch)
tree655d9d9aebdde4e11b8aa1e965484b4e65f68caf
parent4f0d9259a653f40fc8b511b955b149b8f7ccbec8 (diff)
downloadslackbuilds-5017ac8bd80e8bac9bf37d87a0d6c66a17c17f0e.tar.gz
minetest: 5.4.1
-rw-r--r--minetest/README8
-rw-r--r--minetest/doinst.sh13
-rw-r--r--minetest/minetest.SlackBuild111
-rw-r--r--minetest/minetest.info10
-rw-r--r--minetest/patch/0001-Fix-build-for-newer-versions-of-GCC-11246.patch24
-rw-r--r--minetest/slack-desc19
-rw-r--r--minetest_game/README5
-rw-r--r--minetest_game/minetest_game.SlackBuild93
-rw-r--r--minetest_game/minetest_game.info10
-rw-r--r--minetest_game/slack-desc19
10 files changed, 312 insertions, 0 deletions
diff --git a/minetest/README b/minetest/README
new file mode 100644
index 0000000..a9eedce
--- /dev/null
+++ b/minetest/README
@@ -0,0 +1,8 @@
+Minetest is an infinite-world block sandbox game and a game engine,
+inspired by InfiniMiner, Minecraft and the like. It has been in
+development and use since October 2010. It is Free and Open Source
+Software, released under the LGPL 2.1 or later, available for Windows,
+Mac OS X and Linux.
+
+A build error is being reported for absolutely no fucking reason. One would
+expect this to work.
diff --git a/minetest/doinst.sh b/minetest/doinst.sh
new file mode 100644
index 0000000..aea0f89
--- /dev/null
+++ b/minetest/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/minetest/minetest.SlackBuild b/minetest/minetest.SlackBuild
new file mode 100644
index 0000000..70bc8d1
--- /dev/null
+++ b/minetest/minetest.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/bash
+
+# Slackware build script for minetest
+
+# Copyright 2014-2020 Dimitris Zlatanidis Orestiada, Greece
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=minetest
+VERSION=${VERSION:-5.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-txz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+#chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 < $CWD/patch/0001-Fix-build-for-newer-versions-of-GCC-11246.patch
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCUSTOM_MANDIR=/usr/man \
+ -DCUSTOM_DOCDIR=/usr/doc/$PRGNAM-$VERSION \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md LICENSE.txt minetest.conf* doc/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/minetest/minetest.info b/minetest/minetest.info
new file mode 100644
index 0000000..aa7c32f
--- /dev/null
+++ b/minetest/minetest.info
@@ -0,0 +1,10 @@
+PRGNAM="minetest"
+VERSION="5.4.1"
+HOMEPAGE="http://minetest.net/"
+DOWNLOAD="https://github.com/minetest/minetest/archive/5.4.1/minetest-5.4.1.tar.gz"
+MD5SUM="1814139a9b82aa07ad89867095224b4d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="irrlicht luajit jsoncpp"
+MAINTAINER="Slack Coder"
+EMAIL="slackcoder@server.ky"
diff --git a/minetest/patch/0001-Fix-build-for-newer-versions-of-GCC-11246.patch b/minetest/patch/0001-Fix-build-for-newer-versions-of-GCC-11246.patch
new file mode 100644
index 0000000..d9c6b5d
--- /dev/null
+++ b/minetest/patch/0001-Fix-build-for-newer-versions-of-GCC-11246.patch
@@ -0,0 +1,24 @@
+From 7c2826cbc0f36027d4a9781f433150d1c5d0d03f Mon Sep 17 00:00:00 2001
+From: lhofhansl <larsh@apache.org>
+Date: Thu, 6 May 2021 10:24:30 -0700
+Subject: [PATCH 1/1] Fix build for newer versions of GCC (#11246)
+
+---
+ src/clientiface.h | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/clientiface.h b/src/clientiface.h
+index cc5292b71..dfd976741 100644
+--- a/src/clientiface.h
++++ b/src/clientiface.h
+@@ -31,6 +31,7 @@ with this program; if not, write to the Free Software Foundation, Inc.,
+ #include <list>
+ #include <vector>
+ #include <set>
++#include <memory>
+ #include <mutex>
+
+ class MapBlock;
+--
+2.33.0
+
diff --git a/minetest/slack-desc b/minetest/slack-desc
new file mode 100644
index 0000000..7db1497
--- /dev/null
+++ b/minetest/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+minetest: minetest (Infinite-world block sandbox game)
+minetest:
+minetest: Minetest is an infinite-world block sandbox game and a game engine,
+minetest: inspired by InfiniMiner, Minecraft and the like.
+minetest:
+minetest: Homepage: http://minetest.net/
+minetest:
+minetest:
+minetest:
+minetest:
+minetest:
diff --git a/minetest_game/README b/minetest_game/README
new file mode 100644
index 0000000..5cdae8e
--- /dev/null
+++ b/minetest_game/README
@@ -0,0 +1,5 @@
+The main game for the Minetest game engine.
+
+Minetest is an infinite-world block sandbox game
+and a game engine, inspired by InfiniMiner,
+Minecraft and the like.
diff --git a/minetest_game/minetest_game.SlackBuild b/minetest_game/minetest_game.SlackBuild
new file mode 100644
index 0000000..80c13da
--- /dev/null
+++ b/minetest_game/minetest_game.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+# Slackware build script for minetest_game
+
+# Copyright 2014-2020 Dimitris Zlatanidis Orestiada, Greece
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=minetest_game
+VERSION=${VERSION:-5.4.1}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/minetest/games/$PRGNAM
+cp -rf * $PKG/usr/share/minetest/games/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md *.txt minetest.conf.example $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/minetest_game/minetest_game.info b/minetest_game/minetest_game.info
new file mode 100644
index 0000000..b39a944
--- /dev/null
+++ b/minetest_game/minetest_game.info
@@ -0,0 +1,10 @@
+PRGNAM="minetest_game"
+VERSION="5.4.1"
+HOMEPAGE="http://minetest.net/"
+DOWNLOAD="https://github.com/minetest/minetest_game/archive/5.4.1/minetest_game-5.4.1.tar.gz"
+MD5SUM="8efdc8d311d3211ea45964ff7c73dba6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="minetest"
+MAINTAINER="Slack Coder"
+EMAIL="slackcoder@server.ky"
diff --git a/minetest_game/slack-desc b/minetest_game/slack-desc
new file mode 100644
index 0000000..9bbd0c7
--- /dev/null
+++ b/minetest_game/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+minetest_game: minetest_game (main game for Minetest game engine)
+minetest_game:
+minetest_game: The main game for the Minetest game engine.
+minetest_game: Minetest is an infinite-world block sandbox game
+minetest_game: and a game engine, inspired by InfiniMiner,
+minetest_game: Minecraft and the like.
+minetest_game:
+minetest_game: Homepage: http://minetest.net/
+minetest_game:
+minetest_game:
+minetest_game: